MediaSize.Other (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.print.attribute.standard, class: MediaSize, class: Other
Keywords: javax.print.attribute.standard.MediaSize.Other class

# Class MediaSize.Other

java.lang.Object
javax.print.attribute.standard.MediaSize.Other

Enclosing class:
  `MediaSize`

public static final class MediaSize.Other extends Object
Class `MediaSize.Other` includes `MediaSize` values for miscellaneous media.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final MediaSize`
  `EXECUTIVE`
  Specifies the executive size, 7.25 inches by 10.5 inches.
  `static final MediaSize`
  `FOLIO`
  Specifies the folio size, 8.5 inches by 13 inches.
  `static final MediaSize`
  `INVOICE`
  Specifies the invoice size, 5.5 inches by 8.5 inches.
  `static final MediaSize`
  `ITALY_ENVELOPE`
  Specifies the Italy envelope size, 110 mm by 230 mm.
  `static final MediaSize`
  `JAPANESE_DOUBLE_POSTCARD`
  Specifies the Japanese Double postcard size, 148 mm by 200 mm.
  `static final MediaSize`
  `JAPANESE_POSTCARD`
  Specifies the Japanese postcard size, 100 mm by 148 mm.
  `static final MediaSize`
  `LEDGER`
  Specifies the ledger size, 11 inches by 17 inches.
  `static final MediaSize`
  `MONARCH_ENVELOPE`
  Specifies the Monarch envelope size, 3.87 inch by 7.5 inch.
  `static final MediaSize`
  `PERSONAL_ENVELOPE`
  Specifies the Personal envelope size, 3.625 inch by 6.5 inch.
  `static final MediaSize`
  `QUARTO`
  Specifies the quarto size, 8.5 inches by 10.83 inches.
  `static final MediaSize`
  `TABLOID`
  Specifies the tabloid size, 11 inches by 17 inches.

- ## Method Summary

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### EXECUTIVE

    public static final MediaSize EXECUTIVE
    Specifies the executive size, 7.25 inches by 10.5 inches.

  - ### LEDGER

    public static final MediaSize LEDGER
    Specifies the ledger size, 11 inches by 17 inches.

  - ### TABLOID

    public static final MediaSize TABLOID
    Specifies the tabloid size, 11 inches by 17 inches.
    Since:
      1.5

  - ### INVOICE

    public static final MediaSize INVOICE
    Specifies the invoice size, 5.5 inches by 8.5 inches.

  - ### FOLIO

    public static final MediaSize FOLIO
    Specifies the folio size, 8.5 inches by 13 inches.

  - ### QUARTO

    public static final MediaSize QUARTO
    Specifies the quarto size, 8.5 inches by 10.83 inches.

  - ### ITALY_ENVELOPE

    public static final MediaSize ITALY_ENVELOPE
    Specifies the Italy envelope size, 110 mm by 230 mm.

  - ### MONARCH_ENVELOPE

    public static final MediaSize MONARCH_ENVELOPE
    Specifies the Monarch envelope size, 3.87 inch by 7.5 inch.

  - ### PERSONAL_ENVELOPE

    public static final MediaSize PERSONAL_ENVELOPE
    Specifies the Personal envelope size, 3.625 inch by 6.5 inch.

  - ### JAPANESE_POSTCARD

    public static final MediaSize JAPANESE_POSTCARD
    Specifies the Japanese postcard size, 100 mm by 148 mm.

  - ### JAPANESE_DOUBLE_POSTCARD

    public static final MediaSize JAPANESE_DOUBLE_POSTCARD
    Specifies the Japanese Double postcard size, 148 mm by 200 mm.